Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ControllerValue< T > Class Template Reference

Can either be used as an input or output value. More...

`#include <OgreController.h>`

List of all members.

## Public Methods

virtual | ~ControllerValue ()
virtual T | getValue (void) const=0
virtual void | setValue (T value)=0

## Detailed Description

### template<typename T>
class Ogre::ControllerValue< T >

Can either be used as an input or output value.

Definition at line 92 of file OgreController.h.

## Constructor & Destructor Documentation

template<typename T>
virtual Ogre::ControllerValue< T >::~ControllerValue | ( |  | ) | `[virtual]`

| Definition at line 96 of file OgreController.h.

## Member Function Documentation

template<typename T>
virtual T Ogre::ControllerValue< T >::getValue | ( | void |  | ) | const`[pure virtual]`

| Implemented in Ogre::AnimationState, Ogre::FrameTimeControllerValue, Ogre::TextureFrameControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::FloatGpuParameterControllerValue.

template<typename T>
virtual void Ogre::ControllerValue< T >::setValue | ( | T | value | ) | `[pure virtual]`

| Implemented in Ogre::AnimationState, Ogre::FrameTimeControllerValue, Ogre::TextureFrameControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::FloatGpuParameterControllerValue.

The documentation for this class was generated from the following file:

- OgreController.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:51 2004